Bug 5091 - [x86_64] pam_lastlog: ctime return null in last_login_date.
: [x86_64] pam_lastlog: ctime return null in last_login_date.
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/pam)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-08-30 01:14 by
Modified: 2005-07-13 15:46 (History)


Attachments
patch for pam_lastlog module (1.45 KB, patch)
2004-08-30 01:15, Kachalov Anton
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-08-30 01:14:15
On x86_64 system wrong data are read from lastlog and ctime returns null
(errno=22,Invalid arguments), then pam_lastlog segfault.
Please update pam_lastlog from 0.77 and apply attached patch.
------- Comment #1 From 2004-08-30 01:15:13 -------
Created an attachment (id=574) [details]
patch for pam_lastlog module

pam_lastlog patch
------- Comment #2 From 2005-02-10 20:08:16 -------
Applied, thanks.
------- Comment #3 From 2005-02-11 19:17:23 -------
thanks